# DetailedDocs

### **Image Detail**

* POST [https://service-stage.pic-origin.com/api/v1/users/{user\_id}/images](https://service-stage.pic-origin.com/api/v1/users/%7Buser_id%7D/images)
  1. Image.folder\_id, folder.parent\_id = None : root folder에 위치함을 의미
  2. has\_det : \[True, False, None]
     1. True : 상세주소 입력됨
     2. False : 상세주소 없음(필요x)
     3. None: 상세주소 미입력
* GET [https://service-stage.pic-origin.com/api/v1/users/{user\_id}/images](https://service-stage.pic-origin.com/api/v1/users/%7Buser_id%7D/images)
  1. with\_history : image 리스폰스의 filedatas 유무
  2. has\_delete\_at : 휴지통 여부 (image의 삭제(soft delete)의 기준은 delete\_at의 유무)
     1. True: 휴지통만 조회
     2. False: 휴지통 아닌 것만 조회
     3. 모두 조회
  3. download : view\_type 이 list일 경우 필요한 이미지 다운로드를 위한 쿼리
     1. has\_det, date 는 download 를 위한 쿼리 파라미터
  4. latitude, longitude : view\_type이 map일 경우 필요한 위도, 경도
  5. has\_det : \[True, False, None]
     1. True : 상세주소 입력됨
     2. False : 상세주소 없음(필요x)
     3. None: 상세주소 미입력
  6. view\_type 활용
     * “view\_type” == “map”
       * “latitude” and “longitude” are required
     * “view\_type” == “grid”
       * “search\_type” is not None
         * “search” is required
       * “days\_or\_date\_range” == “days\_range”
         * “days\_range” is required
         * “search\_date\_by” is option
       * “days\_or\_date\_range” == “date\_range”
         * “start\_date” and “end\_date” are required
         * “search\_date\_by” is option
     * “view\_type” == “list”
       * “download” == True
         * “search” and “date” are required
         * “has\_delete\_at” must not be True

```python
view_type_functions[map](with_history, latitude, longitude, has_delete_at, with_memo, with_custom)
view_type_functions[grid](sort_by, sort_order, with_history, last_index, page_size, search, search_type, has_delete_at, days_or_date_range, days_range, search_date_by, start_date, end_date, with_memo, with_custom)
view_type_functions[list](sort_by, sort_order, with_history, last_index, page_size, search, search_type, has_delete_at, download, has_det, date, with_memo, with_custom)
view_type_functions[grid_sep](sort_by, sort_order, with_history, last_index, page_size, search, search_type, has_delete_at, with_memo, with_custom)
```

* PUT [https://service-stage.pic-origin.com/api/v1/users/{user\_id}/images/{image}](https://service-stage.pic-origin.com/api/v1/users/%7Buser_id%7D/images/%7Bimage%7D)
  1. delete : True = 이미지 삭제(soft delete), False = 이미지 복원, None = 이미지 유지
  2. Image.folder\_id, folder.parent\_id = None : root folder에 위치함을 의미
  3. folder\_id
     1. **최상단 폴더로 이동**
        * **값:** 공백 (**`" "`**)
        * **설명:** **`folder_id`**&#xAC12;을 공백으로 설정하면, 최상단 폴더로 이동
     2. **하위 폴더로 이동**
        * **값:** 특정 **`folder_id`**
        * **설명:** **`folder_id`**&#xC5D0; 특정 폴더의 id를 입력하면, 해당 하위 폴더로 이동
     3. **폴더 이동 없음**
        * **값:** **`folder_id`**&#xD30C;라미터 생략
        * **설명:** **`folder_id`**&#xD30C;라미터를 요청에 포함하지 않으면, 현재 위치에서 폴더 이동 없이 작업을 수행

### Folder Detail

* GET [https://service-stage.pic-origin.com/api/v1/users/{user\_id}/folders/{folder\_id}](https://service-stage.pic-origin.com/api/v1/users/%7Buser_id%7D/folders/%7Bfolder_id%7D)
  1. Image.folder\_id, folder.parent\_id = None : root folder에 위치함을 의미
  2. get\_image : 이미지를 포함할지 여부
  3. has\_delete\_at : 휴지통 여부 (image의 삭제(soft delete)의 기준은 delete\_at의 유무)
     1. True: 휴지통만 조회
     2. False: 휴지통 아닌 것만 조회
     3. 모두 조회
* PUT [https://service-stage.pic-origin.com/api/v1/users/{user\_id}/folders/{folder\_id}](https://service-stage.pic-origin.com/api/v1/users/%7Buser_id%7D/folders/%7Bfolder_id%7D)
  1. delete : 이미지 삭제 여부(soft delete)
     1. True = 이미지 삭제
     2. False = 이미지 복원
     3. None = 이미지 유지
  2. Image.folder\_id, folder.parent\_id = None : root folder에 위치함을 의미
  3. parent\_id
     1. **최상단 폴더로 이동**
        * **값:** 공백 (**`" "`**)
        * **설명:** **`parent_id`**&#xAC12;을 공백으로 설정하면, 최상단 폴더로 이동
     2. **하위 폴더로 이동**
        * **값:** 특정 **`parent_id`**
        * **설명:** **`parent_id`**&#xC5D0; 특정 폴더의 id를 입력하면, 해당 하위 폴더로 이동
     3. **폴더 이동 없음**
        * **값:** **`parent_id`**&#xD30C;라미터 생략
        * **설명:** **`parent_id`**&#xD30C;라미터를 요청에 포함하지 않으면, 현재 위치에서 폴더 이동 없이 작업을 수행


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pic-origin.com/read-me/detaileddocs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
